import { Config } from '@pnpm/config';
import { ProjectsGraph } from '@pnpm/types';
export declare const shorthands: {
    parallel: string[];
    c: string;
};
export declare const commandNames: string[];
export declare function rcOptionsTypes(): {
    'shell-mode': BooleanConstructor;
    'resume-from': StringConstructor;
};
export declare const cliOptionsTypes: () => {
    recursive: BooleanConstructor;
    reverse: BooleanConstructor;
    'shell-mode': BooleanConstructor;
    'resume-from': StringConstructor;
};
export declare function help(): string;
export declare function getResumedPackageChunks({ resumeFrom, chunks, selectedProjectsGraph, }: {
    resumeFrom: string;
    chunks: string[][];
    selectedProjectsGraph: ProjectsGraph;
}): string[][];
export declare function handler(opts: Required<Pick<Config, 'selectedProjectsGraph'>> & {
    bail?: boolean;
    unsafePerm?: boolean;
    rawConfig: object;
    reverse?: boolean;
    sort?: boolean;
    workspaceConcurrency?: number;
    shellMode?: boolean;
    resumeFrom?: string;
} & Pick<Config, 'extraBinPaths' | 'extraEnv' | 'lockfileDir' | 'dir' | 'userAgent' | 'recursive' | 'workspaceDir'>, params: string[]): Promise<{
    exitCode: number;
}>;
