import { Config } from '@pnpm/config';
export type RecursiveRunOpts = Pick<Config, 'enablePrePostScripts' | 'unsafePerm' | 'rawConfig' | 'rootProjectManifest' | 'scriptsPrependNodePath' | 'scriptShell' | 'shellEmulator' | 'stream'> & Required<Pick<Config, 'allProjects' | 'selectedProjectsGraph' | 'workspaceDir'>> & Partial<Pick<Config, 'extraBinPaths' | 'extraEnv' | 'bail' | 'reverse' | 'sort' | 'workspaceConcurrency'>> & {
    ifPresent?: boolean;
    resumeFrom?: string;
};
export declare function runRecursive(params: string[], opts: RecursiveRunOpts): Promise<void>;
